Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type.descriptor.java
Interface UUIDTypeDescriptor.ValueTransformer

All Known Implementing Classes:
  UUIDTypeDescriptor.PassThroughTransformer, UUIDTypeDescriptor.ToBytesTransformer, UUIDTypeDescriptor.ToStringTransformer

Enclosing class:
  UUIDTypeDescriptor

    public static interface UUIDTypeDescriptor.ValueTransformer

Method Summary
`UUID` | `parse(Object value)`
`Serializable` | `transform(UUID uuid)`

Method Detail

### transform

    Serializable transform(UUID uuid)

### parse

    UUID parse(Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.